<?php
error_reporting(0);
$consulta = $_GET["consulta"];
$JncObjCompParID = $_GET["JncObjCompParID"];
$ValorFijo = $_GET["ValorFijo"];

$selectParametros = $ValorFijo == "0" ? " selectParametros" : "";
$disabled = $ValorFijo == "1" ? " disabled" : "";

require_once("bd/cotizaciones/cotizaciones.php");
$cotizaciones = new cotizaciones();
$result = $cotizaciones->ejecutarConsulta($consulta);

$selectQuery = "<select id='valPar$JncObjCompParID' class='form-control form-control-sm$selectParametros' required$disabled><option value=''>--Selecciona una opción--</option>";

for ($i=0; $i < sizeof($result); $i++) {
	/*en caso de que no traiga select de Materiales, que traiga el de actividades*/
	$MatID = $result[$i]["MatID"] != null ? $result[$i]["MatID"] : $result[$i]["ActID"];
	$Material = $result[$i]["Material"] != null ? $result[$i]["Material"] : $result[$i]["Actividad"];

	if (isset($_GET["ValorPred"])) {
		$ValorPred = $_GET["ValorPred"];
		if ($ValorPred == $MatID) {
			$selectQuery .= "<option value='$MatID' selected>$Material</option>";
		}
		else {
			$selectQuery .= "<option value='$MatID'>$Material</option>";
		}
	}
	else{
		if (isset($_GET["ValorTemporal"])) {
			$ValorTemporal = $_GET["ValorTemporal"];
			if ($ValorTemporal == $MatID) {
				$selectQuery .= "<option value='$MatID' selected>$Material</option>";
			}
			else{
				$selectQuery .= "<option value='$MatID'>$Material</option>";
			}
		}
		else{
			$selectQuery .= "<option value='$MatID'>$Material</option>";
		}
	}
}
$selectQuery .= "</select>";
echo $selectQuery;
?>
